org.keycloak.connections.jpa.updater.liquibase.custom

## Class JpaUpdate4_7_0_OfflineSessionsTimestamps

- java.lang.Object
- - org.keycloak.connections.jpa.updater.liquibase.custom.CustomKeycloakTask
  - - org.keycloak.connections.jpa.updater.liquibase.custom.JpaUpdate4_7_0_OfflineSessionsTimestamps

- All Implemented Interfaces:
    liquibase.change.custom.CustomChange, liquibase.change.custom.CustomSqlChange

      public class JpaUpdate4_7_0_OfflineSessionsTimestamps
      extends CustomKeycloakTask

  Update CREATED_ON and LAST_SESSION_REFRESH columns to current startup time
  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.connections.jpa.updater.liquibase.custom.CustomKeycloakTask

      `confirmationMessage, connection, database, jdbcConnection, kcSession, statements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaUpdate4_7_0_OfflineSessionsTimestamps()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `generateStatementsImpl()` It's supposed to fill SQL statements to the "statements" variable and fill "confirmationMessage"
    `protected String` | `getTaskId()`

    - ### Methods inherited from class org.keycloak.connections.jpa.updater.liquibase.custom.CustomKeycloakTask

      `generateStatements, getConfirmationMessage, getTableName, isApplicable, setFileOpener, setUp, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JpaUpdate4_7_0_OfflineSessionsTimestamps

          public JpaUpdate4_7_0_OfflineSessionsTimestamps()

  - ### Method Detail

    - #### generateStatementsImpl

          protected void generateStatementsImpl()
                                         throws liquibase.exception.CustomChangeException

      Description copied from class: `CustomKeycloakTask`
      It's supposed to fill SQL statements to the "statements" variable and fill "confirmationMessage"
      Specified by:
        `generateStatementsImpl` in class `CustomKeycloakTask`
      Throws:
        `liquibase.exception.CustomChangeException`

    - #### getTaskId

          protected String getTaskId()

      Specified by:
        `getTaskId` in class `CustomKeycloakTask`

Copyright © 2021 JBoss by Red Hat. All rights reserved.